//
//  RCDDChatViewController.m
//  RCloudMessage
//
//  Created by Sin on 17/5/19.
//  Copyright © 2017年 RongCloud. All rights reserved.
//

#import "RCDDChatViewController.h"
#import "RCDDTitleView.h"
#import "RCDDContentVeiw1.h"
#import "RCDDContentView2.h"

@interface RCDDChatViewController ()<UIScrollViewDelegate>
@property (nonatomic,strong) RCDDTitleView *titleView;
@property (nonatomic,strong) UIScrollView *scrollView;
@property (nonatomic,strong) RCDDContentVeiw1 *contentView1;
@property (nonatomic,strong) RCDDContentView2 *contentView2;
@end

@implementation RCDDChatViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
}

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    [self initSubviews];
}

- (void)initSubviews  {
    
    [self.view addSubview:self.scrollView];
    
    [self.view addSubview:self.titleView];
    
    CGRect scrollViewBounds = self.scrollView.bounds;
    self.conversationMessageCollectionView.frame = scrollViewBounds;
    
    scrollViewBounds.origin.x += scrollViewBounds.size.width;
    scrollViewBounds.size.width += scrollViewBounds.size.width;
    self.contentView1 = [[RCDDContentVeiw1 alloc] initWithFrame:scrollViewBounds];
    self.contentView1.backgroundColor = [UIColor redColor];
    [self.scrollView addSubview:self.contentView1];
    
    scrollViewBounds.origin.x += scrollViewBounds.size.width;
    scrollViewBounds.size.width += scrollViewBounds.size.width;
    self.contentView2 = [[RCDDContentView2 alloc] initWithFrame:scrollViewBounds];
    self.contentView2.backgroundColor = [UIColor blueColor];
    [self.scrollView addSubview:self.contentView2];
    
    self.scrollView.contentSize = CGSizeMake(scrollViewBounds.size.width, scrollViewBounds.size.height);
    
}

- (RCDDTitleView *)titleView {
    if(!_titleView) {
        NSArray *titles = @[@"第一个",@"第二个",@"第三个",@"第四个",@"第五个",@"第六个",@"第七个"];
        _titleView = [[RCDDTitleView alloc] initWithTitle:titles];
    }
    return _titleView;
}

- (UIScrollView *)scrollView {
    if(!_scrollView) {
        CGRect frame = self.conversationMessageCollectionView.frame;
        frame.origin.y += RCDDTitleViewHeight;
        frame.size.height -= RCDDTitleViewHeight;
        _scrollView = [[UIScrollView alloc] initWithFrame:frame];
        _scrollView.pagingEnabled = YES;
        _scrollView.backgroundColor = [UIColor redColor];
        _scrollView.delegate = self;
        [self.conversationMessageCollectionView removeFromSuperview];
        [_scrollView addSubview:self.conversationMessageCollectionView];
    }
    return _scrollView;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
