//
//  RCDDTitleView.m
//  RCloudMessage
//
//  Created by Sin on 17/5/19.
//  Copyright © 2017年 RongCloud. All rights reserved.
//

#import "RCDDTitleView.h"

@interface RCDDTitleView ()<UIScrollViewDelegate>
@property (nonatomic,assign) NSUInteger index;
@property (nonatomic,strong) UIScrollView *scrollView;
@end

@implementation RCDDTitleView
- (instancetype)initWithTitle:(NSArray<NSString *> *)titles {
    CGRect screenBounds = [UIScreen mainScreen].bounds;
    self = [super initWithFrame:CGRectMake(0, 64, screenBounds.size.width, RCDDTitleViewHeight)];
    if(self) {
        [self initSubviews:titles];
    }
    return self;
}

- (void)initSubviews:(NSArray *)titles {
    self.backgroundColor = [UIColor lightGrayColor];
    UIScrollView *scrollView = [[UIScrollView alloc] initWithFrame:self.bounds];
    scrollView.showsHorizontalScrollIndicator = NO;
    scrollView.delegate = self;
    [self addSubview:scrollView];
    self.scrollView = scrollView;
    
    
    CGFloat originX = 0;
    CGFloat originY = 5;
    CGFloat width = 80;
    CGFloat height = 40;
    CGFloat magin = 30;
    CGFloat contentWidth = 0;
    for(int i=0;i<titles.count;i++) {
        NSString *str = titles[i];
        originX = magin + (magin + width) * i;
        UIButton *btn = [[UIButton alloc] initWithFrame:CGRectMake(originX, originY, width, height)];
        btn.tag = i;
        [btn setTitle:str forState:UIControlStateNormal];
        [btn setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        [btn addTarget:self action:@selector(onClickEvent:) forControlEvents:UIControlEventTouchUpInside];
        
        [scrollView addSubview:btn];
        
        if(i==titles.count-1) {
            contentWidth = originX + width;
            [scrollView setContentSize:CGSizeMake(contentWidth, RCDDTitleViewHeight)];
        }
    }
}

- (void)onClickEvent:(UIButton *)btn {
    self.index = btn.tag;
    
    
}
@end
